package com.kospo.talk.payload;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.v3.oas.annotations.media.Schema;

import java.util.Date;

@JsonIgnoreProperties(ignoreUnknown = true)
@Schema(name = "ITalkDto", description = "톡방")
public interface ITalkDto {
    @Schema(name = "talkId", description = "톡방아이디")
    String getTalkId();
    @Schema(name = "closeYn", description = "종료여부")
    Boolean getCloseYn();
    @Schema(name = "insSabun", description = "등록자사번")
    String getInsSabun();
    @Schema(name = "workId", description = "업무아이디")
    String getWorkId();
    @Schema(name = "insDate", description = "등록일자")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "Asia/Seoul")
    Date getInsDate();
    @Schema(name = "workId", description = "등록자명")
    String getInsName();
    @Schema(name = "unReadCnt", description = "안읽은 메시지 갯수")
    String getUnReadCnt();
}
